Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.security.authentication
Interface GroupMemberListerMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, GroupReaderMBean, ListerMBean, NameListerMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, DefaultAuthenticatorMBean, IPlanetAuthenticatorMBean, LDAPAuthenticatorMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean

public interface GroupMemberListerMBean
extends GroupReaderMBean

Provides a method for listing a group's members. An Authentication provider MBean can optionally implement this MBean. The WebLogic Server Administration Console detects when an Authentication provider implements this MBean and automatically provides a tab for using these methods.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `listGroupMembers(String groupName, String memberUserOrGroupNameWildcard, int maximumToReturn)` Searches within a group for user and group (member) names that match a pattern.

Methods inherited from interface weblogic.management.security.authentication.GroupReaderMBean
`getGroupDescription, groupExists, isMember, listGroups`

Methods inherited from interface weblogic.management.utils.NameListerMBean
`getCurrentName`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### listGroupMembers

    public String listGroupMembers(String groupName,
                                   String memberUserOrGroupNameWildcard,
                                   int maximumToReturn)
                            throws NotFoundException,
                                   InvalidParameterException

  Searches within a group for user and group (member) names that match a pattern. Returns a cursor (string). You can use methods from `weblogic.management.utils.NameLister` (which this MBean extends) to iterate through the returned list.

  This method does not sort the results or distinguish user and group names. You can use the `groupExists` method to determine whether a name refers to an existing group.

  Parameters:
    `groupName` - - The existing group within which this method searches for members.
    `memberUserOrGroupNameWildcard` - - The pattern for which this method searches The pattern can end with an `*` (asterisk) as a wildcard, which matches any string of characters. The search is not case-sensitive. ' *

    For example, a pattern of `abc` matches exactly one name that contains only `abc`, a pattern of `ab*` matches all user and group names that start with `ab`, and a pattern of `*` matches all user and group names.

    `maximumToReturn` - - The maximum number of user and group names that this method returns. If there are more matches than this maximum, then the returned results are arbitrary because this method does not sort results. If this parameter is set to 0, all results are returned.
  Throws:
    `NotFoundException`
    `InvalidParameterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD